/* beheer */
do
$$
declare
	tiles_currec record;
	mdw_currec record;
    begin 
		for tiles_currec in  (select a.dnkey
			from tbportaltiles a 
			inner join tbportalcolumns b 
			on (a.dnkeyportalcolumns = b.dnkey)
			inner join tbportalnames c
			on (b.dnkeyportalnames = c.dnkey and lower(c.dvname) = 'beheer')
			where instr('uitspraak bezwaar/beroepsoorten bezwaar/beroepadressoorteninspectie onderwerpenwetten/overtredingen', lower(a.dvcontent), 1) > 0)
			loop
				for mdw_currec in (select d.dvcode 
					from tbmedewerkers d 
					where d.ddvervaldatum is null and d.dnmaginapp > 1 and d.dnbeheerniveau > 98)
				loop
			EXECUTE  'INSERT INTO tbmedewtiles(dnkeyportaltiles,dvcodemedewerkers) values('|| tiles_currec.dnkey ||','|| quote_literal(mdw_currec.dvcode)||')';
			end loop;
		end loop;
	end $$ language plpgsql
;		
/* zoeken */
do
$$
declare
	tiles_currec record;
	mdw_currec record;
    begin 
		for tiles_currec in  (select a.dnkey
			from tbportaltiles a 
			inner join tbportalcolumns b 
			on (a.dnkeyportalcolumns = b.dnkey)
			inner join tbportalnames c
			on (b.dnkeyportalnames = c.dnkey and lower(c.dvname) = 'zoeken')
			where instr('zoeken op zaaknummer', lower(a.dvcontent), 1) > 0)
			loop
				for mdw_currec in (select d.dvcode 
					from tbmedewerkers d 
					where d.ddvervaldatum is null and d.dnmaginapp > 1 and d.dnbeheerniveau > 98)
				loop
			EXECUTE  'INSERT INTO tbmedewtiles(dnkeyportaltiles,dvcodemedewerkers) values('|| tiles_currec.dnkey ||','|| quote_literal(mdw_currec.dvcode)||')';
			end loop;
		end loop;
	end $$ language plpgsql
;		
/* openingsportaal openstaandebezwaarberoep */
do
$$
declare
	tiles_currec record;
	mdw_currec record;
    begin 
		for tiles_currec in  (select a.dnkey
			from tbportaltiles a 
			inner join tbportalcolumns b 
			on (a.dnkeyportalcolumns = b.dnkey)
			inner join tbportalnames c
			on (b.dnkeyportalnames = c.dnkey and c.dlisbegin = 'T')
			where instr('openstaande;bezwaar/beroep;zakenmijn openstaande;bezwaar/beroep;zakenalle taken', lower(a.dvcontent), 1) > 0)
			loop
				for mdw_currec in (select d.dvcode 
					from tbmedewerkers d 
					inner join tbrechten e 
					on (d.dnkeyrechten = e.dnkey and e.dlaomgvsb = 'T')
					where d.ddvervaldatum is null and dnmaginapp > 1)
				loop
			EXECUTE  'INSERT INTO tbmedewtiles(dnkeyportaltiles,dvcodemedewerkers) values('|| tiles_currec.dnkey ||','|| quote_literal(mdw_currec.dvcode)||')';
			end loop;
		end loop;
	end $$ language plpgsql
;
/* omgevingsportaal bezwaar/beroep   */
do
$$
declare
	tiles_currec record;
	mdw_currec record;
    begin 
		for tiles_currec in  (select a.dnkey
			from tbportaltiles a 
			inner join tbportalcolumns b 
			on (a.dnkeyportalcolumns = b.dnkey)
			inner join tbportalnames c
			on (b.dnkeyportalnames = c.dnkey and lower(c.dvname) = 'omgevingdetail')
			where instr('lopend bezwaar/beroepafgerond bezwaar/beroep', lower(a.dvtileheadertext), 1) > 0)
			loop
				for mdw_currec in (select d.dvcode 
					from tbmedewerkers d 
					inner join tbrechten e 
					on (d.dnkeyrechten = e.dnkey and e.dlaomgvsb = 'T')
					where d.ddvervaldatum is null and dnmaginapp > 1)
				loop
			EXECUTE  'INSERT INTO tbmedewtiles(dnkeyportaltiles,dvcodemedewerkers) values('|| tiles_currec.dnkey ||','|| quote_literal(mdw_currec.dvcode)||')';
			end loop;
		end loop;
	end $$ language plpgsql
;
/* apvoverigportaal bezwaar/beroep   */
do
$$
declare
	tiles_currec record;
	mdw_currec record;
    begin 
		for tiles_currec in  (select a.dnkey
			from tbportaltiles a 
			inner join tbportalcolumns b 
			on (a.dnkeyportalcolumns = b.dnkey)
			inner join tbportalnames c
			on (b.dnkeyportalnames = c.dnkey and lower(c.dvname) = 'apvoverigdetail')
			where instr('lopend bezwaar/beroepafgerond bezwaar/beroep', lower(a.dvtileheadertext), 1) > 0)
			loop
				for mdw_currec in (select d.dvcode 
					from tbmedewerkers d 
					inner join tbrechten e 
					on (d.dnkeyrechten = e.dnkey and e.dlaovvvsb = 'T')
					where d.ddvervaldatum is null and dnmaginapp > 1)
				loop
			EXECUTE  'INSERT INTO tbmedewtiles(dnkeyportaltiles,dvcodemedewerkers) values('|| tiles_currec.dnkey ||','|| quote_literal(mdw_currec.dvcode)||')';
			end loop;
		end loop;
	end $$ language plpgsql
;
/* handhavingortaal bezwaar/beroep   */
do
$$
declare
	tiles_currec record;
	mdw_currec record;
    begin 
		for tiles_currec in  (select a.dnkey
			from tbportaltiles a 
			inner join tbportalcolumns b 
			on (a.dnkeyportalcolumns = b.dnkey)
			inner join tbportalnames c
			on (b.dnkeyportalnames = c.dnkey and lower(c.dvname) = 'handhavingdetail')
			where instr('lopend bezwaar/beroepafgerond bezwaar/beroep', lower(a.dvtileheadertext), 1) > 0)
			loop
				for mdw_currec in (select d.dvcode 
					from tbmedewerkers d 
					inner join tbrechten e 
					on (d.dnkeyrechten = e.dnkey and e.dlahahvsb = 'T')
					where d.ddvervaldatum is null and dnmaginapp > 1)
				loop
			EXECUTE  'INSERT INTO tbmedewtiles(dnkeyportaltiles,dvcodemedewerkers) values('|| tiles_currec.dnkey ||','|| quote_literal(mdw_currec.dvcode)||')';
			end loop;
		end loop;
	end $$ language plpgsql
;
/* bouwsloopportaal bezwaar/beroep   */
do
$$
declare
	tiles_currec record;
	mdw_currec record;
    begin 
		for tiles_currec in  (select a.dnkey
			from tbportaltiles a 
			inner join tbportalcolumns b 
			on (a.dnkeyportalcolumns = b.dnkey)
			inner join tbportalnames c
			on (b.dnkeyportalnames = c.dnkey and lower(c.dvname) = 'bouwsloopdetail')
			where instr('lopend bezwaar/beroepafgerond bezwaar/beroep', lower(a.dvtileheadertext), 1) > 0)
			loop
				for mdw_currec in (select d.dvcode 
					from tbmedewerkers d 
					inner join tbrechten e 
					on (d.dnkeyrechten = e.dnkey and e.dlabwvvsb = 'T')
					where d.ddvervaldatum is null and dnmaginapp > 1)
				loop
			EXECUTE  'INSERT INTO tbmedewtiles(dnkeyportaltiles,dvcodemedewerkers) values('|| tiles_currec.dnkey ||','|| quote_literal(mdw_currec.dvcode)||')';
			end loop;
		end loop;
	end $$ language plpgsql
;
/* milieugebruikportaal bezwaarberoep   */
do
$$
declare
	tiles_currec record;
	mdw_currec record;
    begin 
		for tiles_currec in  (select a.dnkey
			from tbportaltiles a 
			inner join tbportalcolumns b 
			on (a.dnkeyportalcolumns = b.dnkey)
			inner join tbportalnames c
			on (b.dnkeyportalnames = c.dnkey and lower(c.dvname) = 'milieugebruikdetail')
			where instr('lopend bezwaar/beroepafgerond bezwaar/beroep', lower(a.dvtileheadertext), 1) > 0)
			loop
				for mdw_currec in (select d.dvcode 
					from tbmedewerkers d 
					inner join tbrechten e 
					on (d.dnkeyrechten = e.dnkey and e.dlamilvergvsb = 'T')
					where d.ddvervaldatum is null and dnmaginapp > 1)
				loop
			EXECUTE  'INSERT INTO tbmedewtiles(dnkeyportaltiles,dvcodemedewerkers) values('|| tiles_currec.dnkey ||','|| quote_literal(mdw_currec.dvcode)||')';
			end loop;
		end loop;
	end $$ language plpgsql
;
/* tot hier uitgedraaid op postgres 192.168.85.92  openwave006   */